<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('further_information', function (Blueprint $table)
        {
            $table->id();
            $table->foreignId('claim_id')->constrained();
            $table->boolean('apply_aps')->default(false);
            $table->boolean('confirm_care_setting')->default(false);
            $table->string('name_in_care')->nullable();
            $table->string('legal_name_change')->nullable();
            $table->enum('supporting_docs_provision', ['NA', 'Help', 'Yes'])->default('NA');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('further_information');
    }
};
